## sqlsmith 1.0

=== debian/changelog ===
sqlsmith (1.0-1build4) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:24:25 +0000

sqlsmith (1.0-1build3) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:48:02 +0000

sqlsmith (1.0-1build2) yakkety; urgency=medium

  * No-change rebuild against latest libpqxx

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2016 17:37:18 -0400

sqlsmith (1.0-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:32:36 +0000

sqlsmith (1.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Mon, 30 May 2016 10:17:16 +0200
