## sqlsmith 1.3

=== debian/changelog ===
sqlsmith (1.3-1build1) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:03:42 +0100

sqlsmith (1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jan 2022 11:20:16 +0100
