=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends:
  autoconf,
  autoconf-archive,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libboost-regex-dev,
  libpq-dev,
  libpqxx-dev (>= 4.0),
