## sqlsmith 1.4~20220624.1101-2~3.git82ef743.pgdg21.10+1

=== debian/changelog ===
sqlsmith (1.4~20220624.1101-2~3.git82ef743.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 17 Mar 2022 12:49:00 -0000

sqlsmith (1.4-2) UNRELEASED; urgency=medium

  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libpqxx-dev.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 17 Mar 2022 12:49:00 -0000

sqlsmith (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove libboost-regex-dev B-D, not required with modern g++.

 -- Christoph Berg <myon@debian.org>  Thu, 03 Mar 2022 09:33:23 +0100
