=== debian/control ===
--- 
+++ 
@@ -11,9 +11,8 @@
  autoconf,
  autoconf-archive,
  debhelper-compat (= 12),
- libboost-regex-dev,
  libpq-dev,
- libpqxx-dev (>= 4.0),
+ libpqxx-dev,
  libsqlite3-dev,
  libssl-dev,
