## sqlsmith 1.4

=== debian/changelog ===
sqlsmith (1.4-1build4) plucky; urgency=medium

  * No-change rebuild for libpqxx-7.10.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 24 Jan 2025 21:10:47 +0000

sqlsmith (1.4-1build3) oracular; urgency=medium

  * Rebuild against new libpqxx-7.9.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 11:59:37 +0200

sqlsmith (1.4-1build2) noble; urgency=high

  * No change rebuild against libpqxx-7.8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:01:59 +0200

sqlsmith (1.4-1build1) noble; urgency=medium

  * Rebuild against new libpqxx-7.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2023 11:32:15 +0200
