=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sqlsmith
 Section: database
 Priority: optional
-Maintainer: Andreas Seltenreich <seltenreich@gmx.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Seltenreich <seltenreich@gmx.de>
 Uploaders: Christoph Berg <myon@debian.org>
 Standards-Version: 4.6.0
 Homepage: https://github.com/anse1/sqlsmith
@@ -12,7 +13,7 @@
  autoconf-archive,
  debhelper-compat (= 12),
  libpq-dev,
- libpqxx-dev,
+ libpqxx-dev (>= 4.0),
  libsqlite3-dev,
  libssl-dev,
